Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 19:59:50 +0300

> Date: Tue, 22 Jul 2025 18:05:14 +0200
> From: Seb Hinderer <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> Eli Zaretskii (2025/07/22 18:47 +0300):
> > Btw, let me make sure I understand correctly: is screen-reading
> > software affected by this only on those two kinds of terminals (rxvt
> > and vte), where \t\b produces wrong output?
> 
> I am not completely sure and would rather let Samuel complete here. What
> I know isthat libvte is used for several terminals so I expect all of
> them to  be affected.

We can still know the names of those terminals, even if they are more
than 2.

> > If only those two terminals are affected, both in the effect of the
> > cursor motion and what that does to screen readers, then we could
> > disable the \t\b sequence only for those two terminals.  Emacs can
> > look at the name of the terminal to decide what to do.
> 
> Would that be ssh-proof?

You need to set TERM in the ssh session.

> And what about running screen or tmux in such a terminal?

Again, TERM should be set.